=== modified file 'lib/lp/services/testing/__init__.py'
--- lib/lp/services/testing/__init__.py	2011-12-30 06:47:54 +0000
+++ lib/lp/services/testing/__init__.py	2011-12-30 07:08:24 +0000
@@ -23,8 +23,6 @@
 
 # This import registers the 'doctest' Unicode codec.
 import lp.services.testing.doctestcodec
-from lp.testing.layers import DatabaseFunctionalLayer
-from lp.testing.pages import PageTestSuite
 from lp.testing.systemdocs import (
     LayeredDocFileSuite,
     setUp,
@@ -33,10 +31,12 @@
 
 
 def build_doctest_suite(base_dir, tests_path, special_tests={},
-                        layer=DatabaseFunctionalLayer,
-                        setUp=setUp, tearDown=tearDown,
+                        layer=None, setUp=setUp, tearDown=tearDown,
                         package=None):
     """Build the doc test suite."""
+    from lp.testing.layers import DatabaseFunctionalLayer
+    if layer is None:
+        layer = DatabaseFunctionalLayer
     suite = unittest.TestSuite()
     # Tests are run relative to the calling module, not this module.
     if package is None:
@@ -62,8 +62,7 @@
 
 
 def build_test_suite(base_dir, special_tests={},
-                     layer=DatabaseFunctionalLayer,
-                     setUp=setUp, tearDown=tearDown):
+                     layer=None, setUp=setUp, tearDown=tearDown):
     """Build a test suite from a directory containing test files.
 
     The parent's 'stories' subdirectory will be checked for pagetests and
@@ -79,6 +78,11 @@
 
     :param layer: The layer in which to run the tests.
     """
+    from lp.testing.layers import DatabaseFunctionalLayer
+    from lp.testing.pages import PageTestSuite
+    if layer is None:
+        layer = DatabaseFunctionalLayer
+
     suite = unittest.TestSuite()
 
     # Tests are run relative to the calling module, not this module.

